metrics:
  serviceMonitor:
    enabled: true
    additionalLabels:
      release: "prometheus-operator"
configuration:
  provider: "{{ config.backup_vault.provider }}"
  backupStorageLocation:
    name: default
    config:
      region: "{{ config.backup_vault.region }}"
      s3ForcePathStyle: "{{ config.velero.forces3 }}"
      s3Url: "https://{{ config.backup_vault.fqdn }}"
    bucket: "{{ config.velero.bucket }}"
  volumeSnapshotLocation:
    name: default
    config:
      region: "{{ config.backup_vault.region }}"
initContainers:
  - name: velero-plugin-for-aws
    image: velero/velero-plugin-for-aws:v1.0.1
    volumeMounts:
      - mountPath: /target
        name: plugins
deployRestic: true
installCRDs: true
credentials:
  useSecret: true
  existingSecret: backup-vault
restic:
  # RKE clusters may have a different path to the volumes
  podVolumePath: "{{ config.velero.restic.pod_volume_path | default(omit) }}"
